#require 'minitest/spec'
#require 'minitest/autorun'
require_relative '../lib/google_scraper_gem'

describe GoogleScraper do
  describe "checkRank" do
    before(:all) do
      @gs = GoogleScraper.new
    end

    it "returns the rank of the en/us query" do
      en_us_rank = @gs.checkRank('medical assistant', 'www.aama-ntl.org')
      puts "en/us rank: #{en_us_rank}"
      en_us_rank.should > 0
    end

    it "returns the rank of the en/ca query" do
      en_ca_rank = @gs.checkRank('medical assistant', 'www.aama-ntl.org', 'ca', 'en')
      puts "en/ca rank: #{en_ca_rank}"
      en_ca_rank.should > 0
    end

    it "returns the rank of the es/mx query" do
      es_mx_rank = @gs.checkRank('medical assistant', 'www.medicalassistantsalud.com', 'mx', 'es')
      puts "es/mx rank: #{es_mx_rank}"
      es_mx_rank.should > 0
    end
  end

  describe "getTopResults" do
    before(:all) do
      @gs = GoogleScraper.new
      @results = @gs.getTopResults('medical assistant')
    end

    it "retrieves the top 10 results by default" do
      @results.count.should == 10
    end

    it "should not return results that are invalid URLs" do
      @results.each do |result|
        result.include?("›").should be_false
      end
    end
  end
end
